# CasaOS - A simple, easy-to-use, elegant open-source Home Cloud system.

![CasaOS](https://raw.githubusercontent.com/IceWhaleTech/logo/main/casaos/casaos_banner_aldeyjarfoss.png)

[![Version](https://img.shields.io/github/v/release/IceWhaleTech/CasaOS?color=162453&label=CasaOS&style=flat-square)](https://github.com/IceWhaleTech/CasaOS)
[![Pull Requests](https://img.shields.io/github/issues-pr/IceWhaleTech/CasaOS?color=162453&style=flat-square)](https://github.com/IceWhaleTech/CasaOS/pulls)
[![Issues](https://img.shields.io/github/issues/IceWhaleTech/CasaOS?color=162453&style=flat-square)](https://github.com/IceWhaleTech/CasaOS/issues)
[![GitHub Stars](https://img.shields.io/github/stars/IceWhaleTech/CasaOS?color=162453&logo=github&style=flat-square)](https://github.com/IceWhaleTech/CasaOS/stargazers)
[![Discord](https://img.shields.io/discord/884667213326463016?color=162453&label=Chat&logo=discord&logoColor=fff&style=flat-square)](https://discord.gg/knqAbbBbeX)

CasaOS is an open-source Home Cloud system based on the Docker ecosystem and designed for home scenarios. It is committed to building the world's most simple, easy-to-use, and elegant Home Cloud system.

IceWhale team believes that through community-driven collaborative innovation and open communication with global developers, we can reshape the digital home experience like never before.

![CasaOS Snapshot](snapshot.png)
![CasaOS Snapshot Mobile](snapshot-mobile.png)

## Getting Started

> ⚠️ Note: 
> 
> CasaOS is still in the early development stage and may vary significantly with the final release. Feel free to test run and share your feedback in the [Discord server](https://discord.gg/knqAbbBbeX)!

### Quick Setup CasaOS

Fresh install a system from the list below and run the this command:

```sh
wget -qO- https://get.icewhale.io/casaos.sh | bash
```

or

```sh
curl -fsSL https://get.icewhale.io/casaos.sh | bash
```

### Uninstall CasaOS

```sh
curl -fsSL https://get.icewhale.io/casaos-uninstall.sh | bash
```

### System Compatibility

 - Ubuntu Server 20.04 amd64 (✅ Recommend, Tested)
 - Armbian 22.02 armhf/arm64/amd64 (✅ Recommend, Tested)
 - Elementary OS 6.1 Jólnir amd64 (✅ Recommend, Tested)
 - Deepin 20.4 amd64 (⚠️ Not Fully Tested Yet)
 - Raspberry Pi Lite OS aarch64/arm64 (⚠️ Not Fully Tested Yet)
 - Debian 11 amd64 (⚠️ Not Fully Tested Yet)
 - OpenWrt 21.02 amd64 (⚠️ Not Fully Tested Yet)
 - OpenWrt 21.02 aarch64/arm64 (⚠️ Not Fully Tested Yet)


## Key Features

 - UI designed for home scenarios - simple, elegant, and easy-to-use
 - Quick Docker app installation with only three steps, plus automatic management
 - App Store for Home Cloud 🚧
 - Home data/digital asset management 🚧
 - Smart home manager 🚧

🚧 is under development.

We are actively moving forward with development, and you are more than welcome to share any idea with us!


## Community

The word Casa comes from the Spanish word for "home". Project CasaOS originated as a pre-installed system for crowdfunded product [ZimaBoard](https://www.zimaboard.com) on Kickstarter.

After looking at many systems and software on the market, the team found no server system designed for home scenarios, sadly true.

So, we set out to build this open source project to develop CasaOS with our own hands, everyone in the community, and you.

> A warm welcome for you to share and discuss your great ideas in the [Discord server](https://discord.gg/knqAbbBbeX)!

[![Discord Card](https://discordapp.com/api/guilds/884667213326463016/widget.png?style=banner2)](https://discord.gg/knqAbbBbeX)



## Maintainers
 - Jerry Liu
 - Link Liang
 - Ober Zhang
 - Zyaire Ann
 - John Guan
 - Right here, waiting for YOU!
